<?php

add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories = array();  
		$of_categories_obj = get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp = array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages = array();
		$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp = array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select = array("one","two","three","four","five"); 
		$of_options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr = wp_upload_dir();
		$all_uploads_path = $uploads_arr['path'];
		$all_uploads = get_option('of_uploads');
		$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 


/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();

// General Settings
$of_options[] = array( "name" => "General Settings",
                    "type" => "heading");
					
$url =  ADMIN_DIR . 'assets/images/';
$of_options[] = array( "name" => "Main Layout",
					"desc" => "Select main content and sidebar alignment",
					"id" => "sidebar_position",
					"std" => "right",
					"type" => "images",
					"options" => array(
						'none' => $url . '1col.png',
						'right' => $url . '2cr.png',
						'left' => $url . '2cl.png')
					);
					
$of_options[] = array( "name" => "Box Layout Type",
					"desc" => "Choose between a boxed and unboxed layout",
					"id" => "layout_type",
					"std" => "unboxed",
					"type" => "select",
					"options" => array(
						'repeat' => 'unboxed',
						'repeat-y' => 'boxed')
					);
					
$of_options[] = array( "name" => "Text Logo",
						"desc" => "Tick this box if you don't have an image based logo",
						"id" => "text_logo",
						"std" => "0",
						"type" => "checkbox");

$of_options[] = array( "name" => "Image Logo",
						"desc" => "Upload your logo here",
						"id" => "image_logo",
						"std" => "",
						"type" => "upload");

$of_options[] = array( "name" => "Image Logo Width",
						"desc" => "Enter the logo width",
						"id" => "image_logo_width",
						"std" => "",
						"type" => "text");
						
$of_options[] = array( "name" => "Display Icons In Header",
					"desc" => "Tick this box to display the icons in the header area",
					"id" => "header_icon_display",
					"std" => "1",
					"type" => "checkbox");			
				
$of_options[] = array( "name" => "Icon 1 Title",
					"desc" => "The Main Title",
					"id" => "icon_1_title",
					"std" => "Icon 1 Title",
					"type" => "text");

$of_options[] = array( "name" => "Icon 1 Sub Title",
					"desc" => "Displayed Below the Main Title",
					"id" => "icon_1_sub_title",
					"std" => "Icon 1 Sub Title",
					"type" => "text");
					
$of_options[] = array( "name" => "Icon 1 Image URL",
					"desc" => "URL with http://",
					"id" => "icon_1_img",
					"std" => get_template_directory_uri() . "/images/icon-tag.png",
					"type" => "text");
					
$of_options[] = array( "name" => "Icon 2 Title",
					"desc" => "The Main Title",
					"id" => "icon_2_title",
					"std" => "Icon 2 Title",
					"type" => "text");

$of_options[] = array( "name" => "Icon 2 Sub Title",
					"desc" => "Displayed Below the Main Title",
					"id" => "icon_2_sub_title",
					"std" => "Icon 2 Sub Title",
					"type" => "text");

$of_options[] = array( "name" => "Icon 2 Image URL",
					"desc" => "URL with http://",
					"id" => "icon_2_img",
					"std" => get_template_directory_uri() . "/images/icon-truck.png",
					"type" => "text");
					
$of_options[] = array( "name" => "Icon 3 Title",
					"desc" => "The Main Title",
					"id" => "icon_3_title",
					"std" => "Icon 3 Title",
					"type" => "text");

$of_options[] = array( "name" => "Icon 3 Sub Title",
					"desc" => "Displayed Below the Main Title",
					"id" => "icon_3_sub_title",
					"std" => "Icon 3 Sub Title",
					"type" => "text");

$of_options[] = array( "name" => "Icon 3 Image URL",
					"desc" => "URL with http://",
					"id" => "icon_3_img",
					"std" => get_template_directory_uri() . "/images/icon-clock.png",
					"type" => "text");
							
$of_options[] = array( "name" => "Footer Bottom Right Image",
						"desc" => "Upload your image here",
						"id" => "bottom_image",
						"std" => "",
						"type" => "upload");

$of_options[] = array( "name" => "Footer Message",
						"desc" => "Copyright message to be displayed in footer",
						"id" => "footer_msg",
						"std" => "&copy; Copyright 2012",
						"type" => "text");
						
$of_options[] = array( "name" => "Google Analytics Code",
					"desc" => "",
					"id" => "google-analytics",
					"std" => "",
					"type" => "textarea");
					
$of_options[] = array( "name" => "Number of Items Per Page",
					"desc" => "For the Lookbook",
					"id" => "items_per_page",
					"std" => "10",
					"type" => "text");
					
$of_options[] = array( "name" => "Lookbook Page ID",
					"desc" => 'To find the ID of your Lookbook page go to "Pages", then click on your Lookbook page, the browser URL will look something like this: http://website.com/wp-admin/post.php?post=184&action=edit where it says "post=184", this is the ID so just add "184" in this field',
					"id" => "lookbook_id",
					"std" => "",
					"type" => "text");

// Styling Options
$of_options[] = array( "name" => "Styling Options",
					"type" => "heading");


$of_options[] = array( "name" =>  "Body Background Colour",
						"desc" => "Pick a colour",
						"id" => "body_background",
						"std" => "",
						"type" => "color");
						
$of_options[] = array( "name" => "Background Image",
						"desc" => "Upload your background here",
						"id" => "body_background_image",
						"std" => "",
						"type" => "upload");
						
$of_options[] = array( "name" => "Background Repeat",
						"desc" => "Choose how to repeat the background image",
						"id" => "background_repeat",
						"std" => "repeat",
						"type" => "select",
						"options" => array(
							'repeat' => 'repeat',
							'repeat-y' => 'repeat-y',
							'repeat-x' => 'repeat-x',
							'no-repeat' => 'no-repeat',)
						);

$of_options[] = array( "name" =>  "Main Colour",
						"desc" => "Pick a colour",
						"id" => "main_color",
						"std" => "",
						"type" => "color");
						
$of_options[] = array( "name" =>  "Sidebar Title Colour",
						"desc" => "Pick a colour",
						"id" => "sidebar_title_color",
						"std" => "",
						"type" => "color");
						
$of_options[] = array( "name" =>  "Link Hover Colour",
						"desc" => "Pick a colour",
						"id" => "link_hover_color",
						"std" => "",
						"type" => "color");

$of_options[] = array( "name" =>  "Main Colour in RGBA format",
						"desc" => "Use http://hex2rgba.devoth.com/ e.g. rgba(106, 166, 138, 0.7)",
						"id" => "main_colorrgba",
						"std" => "",
						"type" => "text");

$of_options[] = array( "name" => "Custom CSS",
					"desc" => "Add any custom CSS you wish here",
					"id" => "custom_css",
					"std" => '',
					"type" => "textarea");
										
$of_options[] = array( "name" => "Google Font",
					"desc" => "Add Google Font Code Here",
					"id" => "custom_font_code",
					"std" => "<link href='http://fonts.googleapis.com/css?family=Cardo:400,400italic,700' rel='stylesheet' type='text/css'>",
					"type" => "textarea");

$of_options[] = array( "name" => "Google Font Name",
					"desc" => "Enter the Google Font name / family",
					"id" => "custom_font",
					"std" => "'Cardo', serif",
					"type" => "text");

// Home Settings
$of_options[] = array( "name" => "Home Settings",
					"type" => "heading");
					
$of_options[] = array( "name" => "Display Slideshow",
					"desc" => "Tick to display slideshow on homepage",
					"id" => "slideshow_display",
					"std" => "1",
					"type" => "checkbox");
					
$of_options[] = array( "name" => "Display Featured Products",
					"desc" => 'Tick to display featured products on homepage. How do I feature a product? Go to "WooCommerce > Products", then hover over a product and click "Quick Edit", then tick "Featured"',
					"id" => "featured_products_display",
					"std" => "0",
					"type" => "checkbox");
					
$of_options[] = array( "name" => "Autoplay Slideshow",
					"desc" => "Tick to autoplay the slideshow, e.g. slides will change automatically after a set period of time",
					"id" => "slideshow_autoplay",
					"std" => "0",
					"type" => "checkbox");
					
$of_options[] = array( "name" => "Slideshow Speed",
					"desc" => "Amount of time each slide displays for in milliseconds, e.g. 7000 = 7 seconds",
					"id" => "slideshow_speed",
					"std" => "7000",
					"type" => "text");

$of_options[] = array( "name" => "Does your slideshow contain a video?",
					"desc" => "Tick this if it does to load additional JS required to display video",
					"id" => "slideshow_video",
					"std" => "0",
					"type" => "checkbox");

$of_options[] = array( "name" => "Announcement Message",
					"desc" => "The announcement message is displayed below the slideshow on the homepage. Leave this field blank to display no announcement",
					"id" => "homepage_announcement",
					"std" => "This is an example announcement, go and change it in the theme options!",
					"type" => "textarea");
					
$of_options[] = array( "name" => "Homepage Category One Title",
					"desc" => 'The title to be displayed for products from the category',
					"id" => "homepage_cat_one_title",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Homepage Category One",
					"desc" => 'Display Products from a Specific Category on the site homepage, you should add the product "Slug" in this field. Go to "WooCommerce > Categories" and copy the name from the "Slug" column',
					"id" => "homepage_cat_one",
					"std" => "",
					"type" => "text");
					
$of_options[] = array( "name" => "Homepage Category Two Title",
					"desc" => 'The title to be displayed for products from the category',
					"id" => "homepage_cat_two_title",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Homepage Category Two",
					"desc" => 'Display Products from a Specific Category on the site homepage, you should add the product "Slug" in this field. Go to "WooCommerce > Categories" and copy the name from the "Slug" column',
					"id" => "homepage_cat_two",
					"std" => "",
					"type" => "text");
					
$of_options[] = array( "name" => "Homepage Text Block",
					"desc" => "Add additional HTML/Shortcode content to the homepage in this field, it will be displayed below everything else just above the footer",
					"id" => "homepage_text_block",
					"std" => "[columns]
					
[one_third]
[title]Example Title #1[/title]
<p>Nulla facilisi. Cras eget enim eu ante mollis elementum. Vestibulum venenatis tempor dui. Aenean porta lobortis dui eu vestibulum. Suspendisse vel consequat odio. Nam porttitor turpis ut sapien tempus tincidunt. Donec tempor[/one_third]

[one_third]
[title]Example Title #2[/title]
[list]
[li]This is a list item[/li]
[li]This is a list item[/li]
[li]This is a list item[/li]
[li]This is a list item[/li]
[li]This is a list item[/li]
[/list]
[/one_third]

[one_third_last]
[title]Example Title #3[/title]
<p>Nulla facilisi. Cras eget enim eu ante mollis elementum. Vestibulum venenatis tempor dui. Aenean porta lobortis dui eu vestibulum. Suspendisse vel consequat odio. Nam porttitor turpis ut sapien tempus tincidunt. Donec tempor</p>
[/one_third_last]

[/columns]",
"type" => "textarea");

// Shop Settings
$of_options[] = array( "name" => "Shop Settings",
					"type" => "heading");

$of_options[] = array( "name" => 'Display "Checkout" and "My Account" links in the top right of page',
					"desc" => "Tick to display",
					"id" => "top-right-chk-acc",
					"std" => "1",
					"type" => "checkbox");

$of_options[] = array( "name" => "Shop Items Per Page",
					"desc" => "Enter a numerical value e.g. 10",
					"id" => "shop_per_page",
					"std" => "9",
					"type" => "text");
					
$of_options[] = array( "name" => "Shop Columns",
					"desc" => "Select how many columns you would like product pages to have",
					"id" => "shop_columns",
					"std" => "4",
					"type" => "select",
					"options" => array(
						'3' => '3',
						'4' => '4',
						'5' => '5',
						'6' => '6',)
					);

$of_options[] = array( "name" => "Homepage Shop Item Per Section",
					"desc" => "Enter a numerical value e.g. 10",
					"id" => "home_shop_per_page",
					"std" => "4",
					"type" => "text");
					
$of_options[] = array( "name" => "Homepage Shop Columns",
					"desc" => "Select how many columns you would like products on the homepage to have",
					"id" => "home_shop_columns",
					"std" => "4",
					"type" => "select",
					"options" => array(
						'3' => '3',
						'4' => '4',
						'5' => '5',
						'6' => '6',)
					);
					
$of_options[] = array( "name" => 'Hide Add to Cart Buttons and Shopping Cart',
					"desc" => "Tick to hide",
					"id" => "hide-shop-buttons",
					"std" => "0",
					"type" => "checkbox");
					
$of_options[] = array( "name" => 'Hide Shop Prices',
					"desc" => "Tick to hide",
					"id" => "hide-shop-prices",
					"std" => "0",
					"type" => "checkbox");

// Social Options	
$of_options[] = array( "name" => "Social Settings",
					"type" => "heading");

$of_options[] = array( "name" => "Twitter",
					"desc" => "URL with http://",
					"id" => "social_twitter",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Facebook",
					"desc" => "URL with http://",
					"id" => "social_facebook",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Googleplus",
					"desc" => "URL with http://",
					"id" => "social_googleplus",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Skype",
					"desc" => "URL with http://",
					"id" => "social_skype",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Flickr",
					"desc" => "URL with http://",
					"id" => "social_flickr",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Linkedin",
					"desc" => "URL with http://",
					"id" => "social_linkedin",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Vimeo",
					"desc" => "URL with http://",
					"id" => "social_vimeo",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Youtube",
					"desc" => "URL with http://",
					"id" => "social_youtube",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "RSS Feed",
					"desc" => "URL with http://",
					"id" => "social_rss",
					"std" => "",
					"type" => "text");

// Contact Options
$of_options[] = array( "name" => "Contact Settings",
					"type" => "heading");

$of_options[] = array( "name" => "Contact Form Email",
					"desc" => "Enter the email address you would like the contact form to send emails to",
					"id" => "contact_email",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Street Address",
					"desc" => "To be display in contact details list",
					"id" => "street_address",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Phone Number",
					"desc" => "To be display in contact details list",
					"id" => "phone_number",
					"std" => "",
					"type" => "text");

$of_options[] = array( "name" => "Email Address",
					"desc" => "To be display in contact details list",
					"id" => "email_address",
					"std" => "",
					"type" => "text");
					
$of_options[] = array( "name" => 'Display Google Map On Contact Page',
					"desc" => 'Tick to display',
					"id" => "map_address",
					"std" => "1",
					"type" => "checkbox");
					
$of_options[] = array( "name" => "Google Map Address",
					"desc" => "",
					"id" => "gmap-address",
					"std" => "",
					"type" => "text");
					
$of_options[] = array( "name" => "Google Map Marker Content",
					"desc" => "",
					"id" => "gmap-content",
					"std" => "<h2>Boutique Shop</h2><p>1 Main Road, London, UK</p>",
					"type" => "textarea");
					
// Backup Options
$of_options[] = array( "name" => "Backup Options",
					"type" => "heading");
					
$of_options[] = array( "name" => "Backup and Restore Options",
                    "id" => "of_backup",
                    "std" => "",
                    "type" => "backup",
					"desc" => 'You can use the two buttons below to backup your current options, and then restore it back at a later time. This is useful if you want to experiment on the options but would like to keep the old settings in case you need it back.',
					);
					
$of_options[] = array( "name" => "Transfer Theme Options Data",
                    "id" => "of_transfer",
                    "std" => "",
                    "type" => "transfer",
					"desc" => 'You can tranfer the saved options data between different installs by copying the text inside the text box. To import data from another install, replace the data in the text box with the one from another install and click "Import Options".
						',
					);
					
	}
}
?>
