<?php
/**
 * Single Product Thumbnails
 */

global $post, $woocommerce;
?>
	
	<?php
	
		// Get Product Images
		$attachments = get_posts( array(
			'post_type' 	=> 'attachment',
			'numberposts' 	=> -1,
			'post_status' 	=> null,
			'post_parent' 	=> $post->ID,
			'post__not_in'	=> array( get_post_thumbnail_id() ),
			'post_mime_type'=> 'image',
			'orderby'		=> 'menu_order',
			'order'			=> 'ASC'
		) );
		if ($attachments) {

			$loop = 0;
			$columns = apply_filters( 'woocommerce_product_thumbnails_columns', 3 );
		?>
		
		<ul id="mycarousel" class="jcarousel-skin-tango">
		
		<?php
		// We also want to display the featured image here
		if ( has_post_thumbnail() ) {
			printf( '<li><a href="%s" rel="useZoom: \'zoom1\', smallImage: \'%s\' "title="%s" class="cloud-zoom-gallery">%s</a></li>', 
				wp_get_attachment_url( get_post_thumbnail_id() ),
				wp_get_attachment_url( get_post_thumbnail_id() ),
				esc_attr( $post->post_title ), 
				get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_small_thumbnail_size', 'shop-thumb' ) 
			) );
		}
		
		// Display Product Images
		foreach ( $attachments as $key => $attachment ) {
			
			if ( get_post_meta( $attachment->ID, '_woocommerce_exclude_image', true ) == 1 ) 
				continue;
				
			$classes = array( 'zoom' );
			
			if ( $loop == 0 || $loop % $columns == 0 ) 
				$classes[] = 'first';
			
			if ( ( $loop + 1 ) % $columns == 0 ) 
				$classes[] = 'last';
			
			printf( '<li><a href="%s" rel="useZoom: \'zoom1\', smallImage: \'%s\' "title="%s" class="cloud-zoom-gallery">%s</a></li>', wp_get_attachment_url( $attachment->ID ), wp_get_attachment_url( $attachment->ID ), esc_attr( $attachment->post_title ), wp_get_attachment_image( $attachment->ID, apply_filters( 'single_product_small_thumbnail_size', 'shop-thumb' ) ) );
			
			$loop++;

		} 
		
?>
		</ul>	
<?php } ?>