<?php

/* ------------------------------------------------
	Loop For Pages
------------------------------------------------ */

if (is_page()) {
	
	if (have_posts()) : while (have_posts()) : the_post();
		
		the_content();

		wp_link_pages( array( 
			'before' => '<div id="pagination"><span class="pages">' . __( 'Pages', 'qns' ) . '</span>', 
			'after' => '</div>', 
			'link_before' => '<span class="page-link">', 
			'link_after' => '</span>' 
		) );
		
	endwhile; endif;

	if ( comments_open() ) :
		comments_template();
	endif;

}


/* ------------------------------------------------
	Loop For Single Blog Posts
------------------------------------------------ */

elseif (is_single()) {
	
	if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

		<h2 class="page-title"><?php _e('Blog','qns'); ?></h2>
		<div class="shadow-wrapper margin1">
			<div class="left-shadow"></div>
			<div class="mid-shadow"></div>
			<div class="right-shadow"></div>
		</div>
		
		<!-- BEGIN .blog-entry -->
		<div class="blog-entry blog-entry-single clearfix">
			
			<!-- BEGIN .blog-left -->
			<div class="blog-left">
				
				<div class="date-area">
					<h6><?php the_time('d'); ?><span><?php the_time('M'); ?></span></h6>
				</div>
				
				<ul class="blog-info">
					<li><span><?php _e('By','qns'); ?></span> <?php the_author(); ?></li>
					<li><span><?php _e('In','qns'); ?></span> <?php echo get_the_category_list( ',' ); ?></li>
					<li><span><?php _e('Comments','qns'); ?></span> <?php comments_popup_link( 
						__( 'None', 'qns' ), 
						__( '1', 'qns' ), 
						__( '%', 'qns' ), 
						__( '', 'qns' ),
						__( 'Off','qns')
					); ?></li>
				</ul>
			
			<!-- END .blog-left -->
			</div>
			
			<!-- BEGIN .blog-right -->
			<div class="blog-right page-content">
				
				<?php if( has_post_thumbnail() ) { ?>

					<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
						<?php // Get the Thumbnail URL
							$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'blog-thumb-large' );
							echo '<img src="' . $src[0] . '" alt="" class="blog-image"/>';
						?>
					</a>

				<?php } ?>

				<h3 class="blog-title">
					<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
						<?php the_title(); ?>
					</a>
				</h3>
				<?php the_content(); ?>
				
				<p><?php the_tags( __('Tags: ','qns'), ', ' ); ?></p>
			
			<!-- END .blog-right -->
			</div>
			
		<!-- END .blog-entry -->
		</div>
		
	<?php endwhile; endif;
	if ( comments_open() ) : ?>
	
	<?php comments_template(); ?>

	<?php endif; ?>
	
	<?php

}


/* ------------------------------------------------
	Display this loop for search results
------------------------------------------------ */

elseif ( is_search() ) { ?>
	
	<h2 class="page-title"><?php _e('Search', 'qns') ?></h2>
	<div class="shadow-wrapper margin1">
		<div class="left-shadow"></div>
		<div class="mid-shadow"></div>
		<div class="right-shadow"></div>
	</div>
	
	<!-- BEGIN .page-content -->
	<div class="page-content">
	
	<?php if (have_posts()) : ?>
		
		<?php if(is_plugin_active('woocommerce/woocommerce.php')) { ?>
		
		<h4><?php _e('Shop','qns') ?></h4>
		
		<!--BEGIN .shop-results -->
		<ol class="shop-results">
		
		<?php 
			// Return Event Items
			$i = 0;
			while (have_posts()) : the_post();
			
				if( get_post_type() != 'post' and get_post_type() != 'lookbook' and get_post_type() != 'page' ) {
					$i++; ?>
					
                    <li>
		
					<!--BEGIN .shop-results-image -->
					<div class="shop-results-image">
					<?php if( has_post_thumbnail() ) { ?>
						
						<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
							<?php // Get the Thumbnail URL
								$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'shop_single' );
								echo '<img src="' . $src[0] . '" alt="" />';
							?>
						</a>

					<?php } else { ?>
						<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
						<img src="<?php echo woocommerce_placeholder_img_src(); ?>" alt="Placeholder" />
						</a>
					<?php } ?>
					<!--END .shop-results-image -->	
					</div>
					
					<!--BEGIN .shop-results-content -->
					<div class="shop-results-content">
						<strong class="search-product-title"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></strong><div class="clearboth"></div><br /> <?php the_excerpt(); ?>
					<!--END .shop-results-content -->
					</div>
					
					<div class="clearboth"></div>
					
					</li>

				<?php }
				
	 		endwhile;?>
	
			<?php if( $i == 0 ) { ?><li><span><?php _e( 'No results were found.', 'qns' ); ?></span></li><?php } ?>
			
		<!--END .shop-results -->
		</ol>
		
		<hr class="margin4">
		
		<?php } ?>

		<h4><?php _e('Blog','qns') ?></h4>
		
		<!--BEGIN .search-results-list -->
		<ol class="search-results-list">
			
		<?php 
			// Return Post Items
			$i = 0;
			while (have_posts()) : the_post(); 
				
				if( get_post_type() == 'post' ) { 
					$i++; ?>
							
					<li><strong><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></strong><br /> <?php the_excerpt(); ?></li>
					
				<?php }
				 		
			endwhile;?>
			
			<?php if( $i == 0 ) { ?><li><span><?php _e( 'No results were found.', 'qns' ); ?></span></li><?php } ?>
			
		<!--END .search-results-list -->
		</ol>
		
		<hr class="margin4">
		
		<h4><?php _e('Lookbook','qns') ?></h4>
		
		<!--BEGIN .search-results-list -->
		<ol class="search-results-list">
			
		<?php 
			// Return Event Items
			$i = 0;
			while (have_posts()) : the_post();
			
				if( get_post_type() == 'lookbook' ) {
					$i++; ?>
					
                    <li><strong><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></strong><br /> <?php the_excerpt(); ?></li>
             	
				<?php }
				
	 		endwhile;?>
	
			<?php if( $i == 0 ) { ?><li><span><?php _e( 'No results were found.', 'qns' ); ?></span></li><?php } ?>
			
		<!--END .search-results-list -->
		</ol>

		<?php // Include Pagination feature
		load_template( get_template_directory() . '/includes/pagination.php' );
		?>

	<?php else : ?>
		
		<?php if(is_plugin_active('woocommerce/woocommerce.php')) { ?>
		<h4><?php _e('Shop','qns') ?></h4>
		
		<!--BEGIN .search_results -->
		<ol class="search-results-list">
			<li><span><?php _e( 'No results were found.', 'qns' ); ?></span></li>
		</ol>
		
		<hr class="margin4">
		<?php } ?>
		
		<h4><?php _e('Blog','qns') ?></h4>
		
		<!--BEGIN .search_results -->
		<ol class="search-results-list">
			<li><span><?php _e( 'No results were found.', 'qns' ); ?></span></li>
		</ol>
		
		<hr class="margin4">
			
		<h4><?php _e('Lookbook','qns') ?></h4>
		
		<!--BEGIN .search_results -->
		<ol class="search-results-list">
			<li><span><?php _e( 'No results were found.', 'qns' ); ?></span></li>
		</ol>
		
	<?php endif; ?>
	
	<!-- END .page-content-->
	</div>

<?php
/* ---------------------------------------------------------------
	Display this loop for archive / category / tag / author
--------------------------------------------------------------- */

} elseif ( is_archive() || is_category() || is_tag() || is_author() ) { ?>
	
	<!--BEGIN .search_results -->
	<ol class="search-results-list">
		
		<?php if (have_posts()) : ?>
			<?php while (have_posts()) : the_post(); ?>		
				<li><strong><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></strong><br /> <?php the_excerpt(); ?></li>
			<?php endwhile;?>
			<?php else : ?>
			<li><?php _e( 'No results were found.', 'qns' ); ?></li>
		<?php endif; ?>
	
	<!--END .search_results -->
	</ol>

	<?php // Include Pagination feature
	load_template( get_template_directory() . '/includes/pagination.php' );
	
}


/* ------------------------------------------------
	Display this loop for the blog
------------------------------------------------ */

else { ?>
	
	<h2 class="page-title"><?php _e('Blog', 'qns') ?></h2>
	<div class="shadow-wrapper margin1">
		<div class="left-shadow"></div>
		<div class="mid-shadow"></div>
		<div class="right-shadow"></div>
	</div>
	
	<?php
		$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;	
		query_posts( "post_type=post&paged=$paged" ); ?>
		
		<?php if( have_posts() ) : while( have_posts() ) : the_post(); ?>	
			
			<!-- BEGIN .blog-entry -->
			<div <?php post_class("blog-entry clearfix"); ?>>

				<!-- BEGIN .blog-left -->
				<div class="blog-left">

					<div class="date-area">
						<h6><?php the_time('d'); ?><span><?php the_time('M'); ?></span></h6>
					</div>

					<ul class="blog-info">
						<li><span><?php _e('By','qns'); ?></span> <?php the_author(); ?></li>
						<li><span><?php _e('In','qns'); ?></span> <?php echo get_the_category_list( ',' ); ?></li>
						<li><span><?php _e('Comments','qns'); ?></span> <?php comments_popup_link( 
							__( 'None', 'qns' ), 
							__( '1', 'qns' ), 
							__( '%', 'qns' ), 
							__( '', 'qns' ),
							__( 'Off','qns')
						); ?></li>
					</ul>

				<!-- END .blog-left -->
				</div>

				<!-- BEGIN .blog-right -->
				<div class="blog-right page-content">

					<?php if( has_post_thumbnail() ) { ?>

						<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
							<?php // Get the Thumbnail URL
								$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'blog-thumb-large' );
								echo '<img src="' . $src[0] . '" alt="" class="blog-image"/>';
							?>
						</a>

					<?php } ?>

					<h3 class="blog-title">
						<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
							<?php the_title(); ?>
						</a>
					</h3>
					<?php the_excerpt(); ?>

				<!-- END .blog-right -->
				</div>

				<div class="shadow-wrapper">
					<div class="left-shadow"></div>
					<div class="mid-shadow"></div>
					<div class="right-shadow"></div>
				</div>

			<!-- END .blog-entry -->
			</div>

		<?php endwhile; else : ?>

			<p><?php _e('No blog posts have been added yet','qns'); ?></p>

		<?php endif; ?>
	
	<?php // Include Pagination feature
		load_template( get_template_directory() . '/includes/pagination.php' );
	?>

<?php // end if statement
} ?>