<?php 

/* 
Template Name: Blog
*/ 

?>

<?php get_header(); ?>
		
	<!-- BEGIN #content-wrapper -->
	<div id="content-wrapper" class="clearfix">
		
		<!-- BEGIN #main-content -->
		<div <?php echo sidebar_position('primary-content'); ?>>
	
			<h2 class="page-title"><?php _e('Blog', 'qns') ?></h2>
			<div class="shadow-wrapper margin1">
				<div class="left-shadow"></div>
				<div class="mid-shadow"></div>
				<div class="right-shadow"></div>
			</div>

			<?php
				$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;	
				query_posts( "post_type=post&paged=$paged" ); ?>

				<?php if( have_posts() ) : while( have_posts() ) : the_post(); ?>	

					<!-- BEGIN .blog-entry -->
					<div <?php post_class("blog-entry clearfix"); ?>>

						<!-- BEGIN .blog-left -->
						<div class="blog-left">

							<div class="date-area">
								<h6><?php the_time('d'); ?><span><?php the_time('M'); ?></span></h6>
							</div>

							<ul class="blog-info">
								<li><span><?php _e('By','qns'); ?></span> <?php the_author(); ?></li>
								<li><span><?php _e('In','qns'); ?></span> <?php echo get_the_category_list( ',' ); ?></li>
								<li><span><?php _e('Comments','qns'); ?></span> <?php comments_popup_link( 
									__( 'None', 'qns' ), 
									__( '1', 'qns' ), 
									__( '%', 'qns' ), 
									__( '', 'qns' ),
									__( 'Off','qns')
								); ?></li>
							</ul>

						<!-- END .blog-left -->
						</div>

						<!-- BEGIN .blog-right -->
						<div class="blog-right page-content">

							<?php if( has_post_thumbnail() ) { ?>

								<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
									<?php // Get the Thumbnail URL
										$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'blog-thumb-large' );
										echo '<img src="' . $src[0] . '" alt="" class="blog-image"/>';
									?>
								</a>

							<?php } ?>

							<h3 class="blog-title">
								<a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">
									<?php the_title(); ?>
								</a>
							</h3>
							<?php the_excerpt(); ?>

						<!-- END .blog-right -->
						</div>

						<div class="shadow-wrapper">
							<div class="left-shadow"></div>
							<div class="mid-shadow"></div>
							<div class="right-shadow"></div>
						</div>

					<!-- END .blog-entry -->
					</div>

				<?php endwhile; else : ?>

					<p><?php _e('No blog posts have been added yet','qns'); ?></p>

				<?php endif; ?>

			<?php // Include Pagination feature
				load_template( get_template_directory() . '/includes/pagination.php' );
			?>
		
		<!-- END #main-content -->
		</div>
				
		<?php get_sidebar(); ?>
		
	<!-- END #content-wrapper -->
	</div>

<?php get_footer(); ?>