<?php 

/* 
Template Name: Homepage 
*/ 

?>

<?php 
	// Fetch options stored in $data
	global $data; 
?>

<?php get_header(); ?>

<!-- BEGIN #content-wrapper -->
<div id="content-wrapper" class="clearfix">
	
	<!-- BEGIN #main-content -->
	<div <?php echo sidebar_position('primary-content'); ?>>
		
			<?php // Display Slideshow 
				if ( $data['slideshow_display'] ) : 

					query_posts( "post_type=slideshow&posts_per_page=9999" );
						if( have_posts() ) : ?>
							
							<div class="slider-border">
							
							<!-- BEGIN .slider -->
							<div class="slider clearfix">
								<ul class="slides">

									<?php while( have_posts() ) : the_post(); ?>

									<?php	
										// Get slideshow info
										$slideshow_image = get_post_meta($post->ID, $prefix.'slideshow_image', true);
										$slideshow_link = get_post_meta($post->ID, $prefix.'slideshow_link', true);
										$slideshow_caption = get_post_meta($post->ID, $prefix.'slideshow_caption', true);
										$slideshow_caption_align = get_post_meta($post->ID, $prefix.'slideshow_caption_align', true);
										$slideshow_caption_position = get_post_meta($post->ID, $prefix.'slideshow_caption_position', true);
										$slideshow_vimeo = get_post_meta($post->ID, $prefix.'slideshow_vimeo', true);			
									?>

									<li>			

									<?php

										if ( $slideshow_vimeo != '' ) {
											echo '<iframe id="player_1" src="http://player.vimeo.com/video/' . $slideshow_vimeo . '?api=1&amp;player_id=player_1" width="500" height="281" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>';
										}

										else {

											// If link is set
											if ( $slideshow_link != '' ) {
												echo '<a href="' . $slideshow_link . '">';
											}

											// If featured image is set use this 
											if( has_post_thumbnail() ) {
												$src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'slideshow-big' );
												echo '<img src="' . $src[0] . '" alt="" />';
											}

											// Else if image url is set use this 
											elseif ( $slideshow_image != '' ) { ?>
												<img src="<?php echo $slideshow_image; ?>" alt="" />
											<?php }

											// If link is set
											if ( $slideshow_link != '' ) {
												echo '</a>';
											}

											// Display caption if it is set
											if ( $slideshow_caption != '' ) { ?>
												
												<?php if ($slideshow_caption_align == 'left') {
													$slideshow_caption_class = 'flex-caption-left';
												} else {
													$slideshow_caption_class = '';
												}?>
												
												<?php if ($slideshow_caption_position != '') {
													$slideshow_caption_pos = 'style="bottom: ' . $slideshow_caption_position . ' !important;"';
												} else {
													$slideshow_caption_pos = '';
												}?>
												
												<div class="flex-caption <?php echo $slideshow_caption_class; ?>" <?php echo $slideshow_caption_pos; ?>><?php echo $slideshow_caption; ?></div>
												
												
												
												
											<?php } 

										}

										?>

									</li>

									<?php endwhile; ?>

								</ul>
							<!-- END .slider -->
							</div>
							
							</div>
							
						<?php endif; ?>
					<?php endif; ?>
	
			<?php // Announcement Message
				if ($data['homepage_announcement'] ) : ?>
					<h2 class="intro-text">
						<?php _e($data['homepage_announcement'],'qns'); ?>
					</h2>
			<?php endif; ?>
			
			<?php if ($data['home_shop_columns'] ) {
				$home_shop_columns = $data['home_shop_columns'];
			} else {
				$home_shop_columns = '4';
			} ?>
			
			<?php if ($data['home_shop_per_page'] ) {
				$home_shop_per_page = $data['home_shop_per_page'];
			} else {
				$home_shop_per_page = '4';
			} ?>
			
			<?php if(is_plugin_active('woocommerce/woocommerce.php')) { ?>
		
				<?php // Display Shop Featured Product
					if ( $data['featured_products_display'] ) {
				?>
		
					<div class="tag-title-wrap clearfix">
						<h3 class="tag-title-large"><?php _e('Featured Products','qns'); ?></h3>
					</div>
					
					
					
					<div class="featured-products featured-<?php echo $home_shop_columns; ?>">
						<?php _e(do_shortcode('[featured_products per_page="' . $home_shop_per_page  . '" columns="' . $home_shop_columns  . '"]'),'qns'); ?>
					</div>	
					
				<?php } ?>
				
			<?php } ?>
			
			<?php if(is_plugin_active('woocommerce/woocommerce.php')) { ?>
		
				<?php // Display Shop Category
					if ( $data['homepage_cat_one'] ) {
				?>
		
					<div class="tag-title-wrap clearfix">
						<h3 class="tag-title-large"><?php echo $data['homepage_cat_one_title']; ?></h3>
					</div>
					
					<div class="featured-products featured-<?php echo $home_shop_columns; ?>">
						<?php _e(do_shortcode('[product_category category="' . $data['homepage_cat_one'] . '" columns="' . $home_shop_columns  . '" per_page="' . $home_shop_per_page  . '"]'),'qns'); ?>
					</div>
					
				<?php } ?>
				
			<?php } ?>
			
			<?php if(is_plugin_active('woocommerce/woocommerce.php')) { ?>
		
				<?php // Display Shop Category
					if ( $data['homepage_cat_two'] ) {
				?>
		
					<div class="tag-title-wrap clearfix">
						<h3 class="tag-title-large"><?php echo $data['homepage_cat_two_title']; ?></h3>
					</div>
					
					<div class="featured-products featured-<?php echo $home_shop_columns; ?>">
						<?php _e(do_shortcode('[product_category category="' . $data['homepage_cat_two'] . '" columns="' . $home_shop_columns  . '" per_page="' . $home_shop_per_page  . '"]'),'qns'); ?>
					</div>
					
				<?php } ?>
				
			<?php } ?>

	<?php if ( $data['homepage_text_block'] ) { ?>
		<?php echo do_shortcode($data['homepage_text_block']); ?>
	<?php } ?>
	
	<!-- END #main-content -->
	</div>
	
	<?php get_sidebar(); ?>
	
	<!-- END #content-wrapper -->
	</div>
	
	
<?php get_footer(); ?>